org.jbpm.marshalling.impl

## Class JBPMMessages.Variable

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - org.jbpm.marshalling.impl.JBPMMessages.Variable

- All Implemented Interfaces:
    com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, JBPMMessages.VariableOrBuilder
  Enclosing class:
    JBPMMessages

      public static final class JBPMMessages.Variable
      extends com.google.protobuf.GeneratedMessageV3
      implements JBPMMessages.VariableOrBuilder

  Protobuf type `org.jbpm.marshalling.Variable`
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JBPMMessages.Variable.Builder` Protobuf type `org.jbpm.marshalling.Variable`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

      `com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `NAME_FIELD_NUMBER`
    `static com.google.protobuf.Parser<JBPMMessages.Variable>` | `PARSER` Deprecated.
    `static int` | `STRATEGY_INDEX_FIELD_NUMBER`
    `static int` | `VALUE_FIELD_NUMBER`

    - ### Fields inherited from class com.google.protobuf.GeneratedMessageV3

      `alwaysUseFieldBuilders, unknownFields`

    - ### Fields inherited from class com.google.protobuf.AbstractMessage

      `memoizedSize`

    - ### Fields inherited from class com.google.protobuf.AbstractMessageLite

      `memoizedHashCode`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `static JBPMMessages.Variable` | `getDefaultInstance()`
    `JBPMMessages.Variable` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `String` | `getName()` `optional string name = 1;`
    `com.google.protobuf.ByteString` | `getNameBytes()` `optional string name = 1;`
    `com.google.protobuf.Parser<JBPMMessages.Variable>` | `getParserForType()`
    `int` | `getSerializedSize()`
    `int` | `getStrategyIndex()` the actual object reference `optional int32 strategy_index = 2;`
    `com.google.protobuf.UnknownFieldSet` | `getUnknownFields()`
    `com.google.protobuf.ByteString` | `getValue()` `optional bytes value = 3;`
    `int` | `hashCode()`
    `boolean` | `hasName()` `optional string name = 1;`
    `boolean` | `hasStrategyIndex()` the actual object reference `optional int32 strategy_index = 2;`
    `boolean` | `hasValue()` `optional bytes value = 3;`
    `protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `static JBPMMessages.Variable.Builder` | `newBuilder()`
    `static JBPMMessages.Variable.Builder` | `newBuilder(JBPMMessages.Variable prototype)`
    `JBPMMessages.Variable.Builder` | `newBuilderForType()`
    `protected JBPMMessages.Variable.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
    `static JBPMMessages.Variable` | `parseDelimitedFrom(InputStream input)`
    `static JBPMMessages.Variable` | `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static JBPMMessages.Variable` | `parseFrom(byte[] data)`
    `static JBPMMessages.Variable` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static JBPMMessages.Variable` | `parseFrom(ByteBuffer data)`
    `static JBPMMessages.Variable` | `parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static JBPMMessages.Variable` | `parseFrom(com.google.protobuf.ByteString data)`
    `static JBPMMessages.Variable` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static JBPMMessages.Variable` | `parseFrom(com.google.protobuf.CodedInputStream input)`
    `static JBPMMessages.Variable` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static JBPMMessages.Variable` | `parseFrom(InputStream input)`
    `static JBPMMessages.Variable` | `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static com.google.protobuf.Parser<JBPMMessages.Variable>` | `parser()`
    `JBPMMessages.Variable.Builder` | `toBuilder()`
    `void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessageV3

      `canUseUnsafe, computeStringSize, computeStringSizeNoTag, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, newBuilderForType, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

- - ### Field Detail

    - #### NAME_FIELD_NUMBER

          public static final int NAME_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### STRATEGY_INDEX_FIELD_NUMBER

          public static final int STRATEGY_INDEX_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### VALUE_FIELD_NUMBER

          public static final int VALUE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### PARSER

          @Deprecated
          public static final com.google.protobuf.Parser<JBPMMessages.Variable> PARSER

      Deprecated.

  - ### Method Detail

    - #### getUnknownFields

          public final com.google.protobuf.UnknownFieldSet getUnknownFields()

      Specified by:
        `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

    - #### hasName

          public boolean hasName()

      `optional string name = 1;`
      Specified by:
        `hasName` in interface `JBPMMessages.VariableOrBuilder`

    - #### getName

          public String getName()

      `optional string name = 1;`
      Specified by:
        `getName` in interface `JBPMMessages.VariableOrBuilder`

    - #### getNameBytes

          public com.google.protobuf.ByteString getNameBytes()

      `optional string name = 1;`
      Specified by:
        `getNameBytes` in interface `JBPMMessages.VariableOrBuilder`

    - #### hasStrategyIndex

          public boolean hasStrategyIndex()

           the actual object reference

      `optional int32 strategy_index = 2;`
      Specified by:
        `hasStrategyIndex` in interface `JBPMMessages.VariableOrBuilder`

    - #### getStrategyIndex

          public int getStrategyIndex()

           the actual object reference

      `optional int32 strategy_index = 2;`
      Specified by:
        `getStrategyIndex` in interface `JBPMMessages.VariableOrBuilder`

    - #### hasValue

          public boolean hasValue()

      `optional bytes value = 3;`
      Specified by:
        `hasValue` in interface `JBPMMessages.VariableOrBuilder`

    - #### getValue

          public com.google.protobuf.ByteString getValue()

      `optional bytes value = 3;`
      Specified by:
        `getValue` in interface `JBPMMessages.VariableOrBuilder`

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

    - #### writeTo

          public void writeTo(com.google.protobuf.CodedOutputStream output)
                       throws IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
      Throws:
        `IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

    - #### equals

          public boolean equals(Object obj)

      Specified by:
        `equals` in interface `com.google.protobuf.Message`
      Overrides:
        `equals` in class `com.google.protobuf.AbstractMessage`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `com.google.protobuf.Message`
      Overrides:
        `hashCode` in class `com.google.protobuf.AbstractMessage`

    - #### parseFrom

          public static JBPMMessages.Variable parseFrom(ByteBuffer data)
                                                 throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.Variable parseFrom(ByteBuffer data,
                                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                 throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.Variable parseFrom(com.google.protobuf.ByteString data)
                                                 throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.Variable parseFrom(com.google.protobuf.ByteString data,
                                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                 throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.Variable parseFrom(byte[] data)
                                                 throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.Variable parseFrom(byte[] data,
                                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                 throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.Variable parseFrom(InputStream input)
                                                 throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.Variable parseFrom(InputStream input,
                                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                 throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static JBPMMessages.Variable parseDelimitedFrom(InputStream input)
                                                          throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static JBPMMessages.Variable parseDelimitedFrom(InputStream input,
                                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                          throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.Variable parseFrom(com.google.protobuf.CodedInputStream input)
                                                 throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.Variable parseFrom(com.google.protobuf.CodedInputStream input,
                                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                 throws IOException

      Throws:
        `IOException`

    - #### newBuilderForType

          public JBPMMessages.Variable.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static JBPMMessages.Variable.Builder newBuilder()

    - #### newBuilder

          public static JBPMMessages.Variable.Builder newBuilder(JBPMMessages.Variable prototype)

    - #### toBuilder

          public JBPMMessages.Variable.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected JBPMMessages.Variable.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

      Specified by:
        `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

    - #### getDefaultInstance

          public static JBPMMessages.Variable getDefaultInstance()

    - #### parser

          public static com.google.protobuf.Parser<JBPMMessages.Variable> parser()

    - #### getParserForType

          public com.google.protobuf.Parser<JBPMMessages.Variable> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

    - #### getDefaultInstanceForType

          public JBPMMessages.Variable getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.